> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Contractor Government ID

> Upload a base64-encoded government ID (driver's license, social security card, or passport) for a contractor.



## OpenAPI

````yaml openapi/zeal-api.json post /contractors/id
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /contractors/id:
    post:
      summary: Upload Contractor Government ID
      operationId: upload-contractor-government-id
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - contractorID
                - companyID
                - id_type
                - id_base64
              properties:
                contractorID:
                  type: string
                  description: ID of the Contractor
                companyID:
                  type: string
                  description: ID of the Company
                id_type:
                  type: string
                  description: >-
                    type of the ID to be uploaded, current options are
                    drivers_license, social_security_card and passport
                  enum:
                    - drivers_license
                    - social_security_card
                    - passport
                id_base64:
                  type: string
                  description: base64 image of the ID to be uploaded
            examples:
              Request Example:
                value:
                  contractorID: 618036cbee0d53002343911b
                  companyID: fc23jk12bae46aa8a082f3577eacfa
                  id_type: passport
                  id_base64: iVBORw23goAAAANSUhEUgAAAtsAAABdCAYAAAB0Bq
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    _id: 627d2581aa61ff002824264e
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  _id:
                    type: string
                    example: 627d2581aa61ff002824264e
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          id_type 'pasport' is not valid, it must be one of:
                          drivers_license, passport
                        code: 47
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            id_type 'pasport' is not valid, it must be one of:
                            drivers_license, passport
                        code:
                          type: integer
                          example: 47
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````